import { registerUser } from '@/features/usersSlice';
import { useAppDispatch } from '@/store/hook';
import {Button, Form, FormProps, Input} from 'antd'

export type FieldTypeRegister = {
    username: string;
    displayName: string;
    password: string;
}

export const Register = () => {
    const dispatch = useAppDispatch()

    const onFinish: FormProps<FieldTypeRegister>['onFinish'] = (values) => {
        dispatch(registerUser(values))
    }
    
    return (
        <Form
            name="basic"
            labelCol={{ span: 8 }}
            wrapperCol={{ span: 16 }}
            style={{ maxWidth: 600 }}
            initialValues={{ remember: true }}
            onFinish={onFinish}
            autoComplete="off"
        >
            <Form.Item<FieldTypeRegister>
                label="Username"
                name="username"
                rules={[{ required: true, message: 'Please input your username!' }]}
            >
                <Input />
            </Form.Item>
        
            <Form.Item<FieldTypeRegister>
                label="Nickname"
                name="displayName"
            >
                <Input />
            </Form.Item>

            <Form.Item<FieldTypeRegister>
                label="Password"
                name="password"
                rules={[{ required: true, message: 'Please input your password!' }]}
            >
                <Input.Password />
            </Form.Item>
        
            <Form.Item wrapperCol={{ offset: 8, span: 16 }}>
                <Button type="primary" htmlType="submit">
                    Submit
                </Button>
            </Form.Item>
        </Form>
    )
}