import { FormControl, InputLabel, Select, MenuItem, SelectChangeEvent } from "@mui/material"

export interface ICategory {
    id: string
    title: string
    description: string
}

type TProps = {
    handleChange: (event: SelectChangeEvent) => void
    value: string
    label: string
    categories: ICategory[]
}

const CategorySelect = ({handleChange, value, label, categories}: TProps) => {
    return (
        <FormControl fullWidth>
            <InputLabel id="demo-simple-select-label">{label}</InputLabel>
            <Select
                labelId="demo-simple-select-label"
                id="demo-simple-select"
                value={value}
                label={label}
                onChange={handleChange}
            >
                {
                    categories.map(item => (
                        <MenuItem key={item.id} value={item.id}>{item.title}</MenuItem>
                    ))
                }
            </Select>
        </FormControl>
    )
}

export default CategorySelect