import { ProductForm } from "@/components/ProductForm";
import { createProduct } from "@/features/productsSlice";
import { UserRoles } from "@/features/usersSlice";
import { useAppDispatch, useAppSelector } from "@/store/hook";
import { Typography } from "@mui/material";
import { useEffect } from "react";
import { useNavigate } from "react-router-dom";

export function NewProductForm() {
  const dispatch = useAppDispatch();
  const navigate = useNavigate();
  const {user} = useAppSelector(state => state.users)

  const onProductFormSubmit = async (product: Omit<FormData, "id">) => {
    await dispatch(createProduct(product));
    navigate("/");
  }

  // useEffect(() => {
  //   if(user?.role !== UserRoles.admin) navigate('/')
  // }, [user])

  return <>
    <Typography variant="h4">New product</Typography>
    <ProductForm onProductFormSubmit={onProductFormSubmit}/>
  </>
}