import { configureStore } from '@reduxjs/toolkit';
import productsReducer from '../features/productsSlice.ts';
import usersReducer from '@/features/usersSlice.ts';

const store = configureStore({
  reducer: {
    products: productsReducer,
    users: usersReducer
  }
})


export type RootState = ReturnType<typeof store.getState>;
export type AppDispatch = typeof store.dispatch;
export default store;
