import { DataSource, DataSourceOptions } from "typeorm";
import { Product } from "./entities/product.entity";
import { Category } from "./entities/category.entity";
import { User } from "./entities/user.entity";
import { UserFactory } from "./database/factories/user.factory";
import { SeederOptions } from "typeorm-extension";
import { CategoryFactory } from "./database/factories/category.factory";
import { ProductFactory } from "./database/factories/product.factory";
import MainSeeder from "./database/seeds/main.seeds";

const options: DataSourceOptions & SeederOptions = {
    type: "postgres",
    host: "localhost",
    port: 5432,
    username: "postgres",
    password: "root",
    database: "postgres",
    schema: "public",
    synchronize: true,
    entities: [Product, Category, User],
    factories: [UserFactory, CategoryFactory, ProductFactory],
    seeds: [MainSeeder]
}

export const AppDataSource = new DataSource(options)