import { CategoryDto } from '@/dto/category.dto';
import { CategoryService } from '@/services/category.service';
import { plainToInstance } from 'class-transformer';
import { RequestHandler } from 'express';

export class CategoryController {
  private service: CategoryService;

  constructor() {
    this.service = new CategoryService();
  }

  getAllCategories: RequestHandler = async (req, res): Promise<void> => {
    const categories = await this.service.getAllCategories();
    res.send(categories);
  };

  getCategory: RequestHandler = async (req, res): Promise<void> => {
    const category = await this.service.getCategory(req.params.id);
    res.send(category);
  };

  createCategory: RequestHandler = async (req, res): Promise<void> => {
    const categoryDto = plainToInstance(CategoryDto, req.body);
    const Category = await this.service.createCategory(categoryDto);
    res.send(Category);
  };
}
