import { User } from "@/entities/user.entity";
import { Category } from "@/entities/category.entity";
import { Product } from "@/entities/product.entity";
import { DataSource } from "typeorm";
import { faker } from '@faker-js/faker';
import { Seeder, SeederFactoryManager } from "typeorm-extension";
export default class MainSeeder implements Seeder {
    public async run(dataSource: DataSource, factoryManager: SeederFactoryManager): Promise<any> {
        const userFactory = factoryManager.get(User)
        const categoryFactory = factoryManager.get(Category)
        const productFactory = factoryManager.get(Product)

        await userFactory.saveMany(10)
        const categories = await categoryFactory.saveMany(3)

        await productFactory.saveMany(4, { category: faker.helpers.arrayElement(categories) })
        await productFactory.saveMany(4, { category: faker.helpers.arrayElement(categories) })
        await productFactory.saveMany(4, { category: faker.helpers.arrayElement(categories) })
    }
}