import { Entity, PrimaryGeneratedColumn, Column, ManyToOne } from "typeorm";
import { Category } from "./category.entity";

@Entity()
export class Product {
    @PrimaryGeneratedColumn()
    id!: number;

    @Column()
    title!: string

    @Column()
    description!: string

    @Column()
    price!: number

    @Column({nullable: true})
    image!: string

    @ManyToOne(() => Category, (category) => category.products)
    category!: Category
}