import { AppDataSource } from "@/appDataSource";
import { CategoryDto } from "@/dto/category.dto";
import { Category } from "@/entities/category.entity";
import { Repository } from "typeorm";

class CategoryRepo {
    private repo: Repository<Category>

    constructor() {
        this.repo = AppDataSource.getRepository(Category)
    }

    async create(body: CategoryDto) {
        return await this.repo.save(body)
    }

    async getAll() {
        return await this.repo.find()
    }

    async getOne(id: number) {
        return await this.repo.findOne({where: {id: id}})
    }
}

export const categoryRepo = new CategoryRepo()