import { CategoryController } from '@/controllers/category.controller';
import { authValidate } from '@/middlewares/auth.middleware';
import { checkRole } from '@/middlewares/checkRole';
import { Router } from 'express';

export class CategoryRoute {
  public path = '/category';
  public router = Router();
  private controller: CategoryController;

  constructor() {
    this.controller = new CategoryController();
    this.init();
  }

  private init() {
    this.router.get('/', authValidate, this.controller.getAllCategories);
    this.router.get('/:id', authValidate, this.controller.getCategory);
    this.router.post('/create', authValidate, checkRole('admin'), this.controller.createCategory);
  }
}
