import { CategoryDto } from "@/dto/category.dto";
import { Category } from "@/entities/category.entity";
import { categoryRepo } from "@/repositories/category.repository";

export class CategoryService {
  getAllCategories = async (): Promise<Category[]> => {
    return await categoryRepo.getAll()
  };

  getCategory = async (id: string): Promise<Category | null> => {
    return await categoryRepo.getOne(parseInt(id))
  };

  createCategory = async (data: CategoryDto): Promise<Category> => {
    return await categoryRepo.create(data)
  };
}
