import { ProductDto } from '@/dto/product.dto';
import { productRepo } from '@/repositories/product.repository';
import { Product } from '@/entities/product.entity';
import { validate } from 'class-validator';

export class ProductService {
  getAllProducts = async (): Promise<Product[]> => {
    return await productRepo.getAll()
  };

  getProduct = async (id: string): Promise<Product | null> => {
    return await productRepo.getOne(parseInt(id))
  };

  createProduct = async (data: ProductDto): Promise<Product> => {
    const errors = await validate(data, { whitelist: true });
    if (errors.length) throw errors;
    return await productRepo.create(data)
  };
}
